# Class: MarkerCluster

## Map. MarkerCluster

Clusters `<Marker />` components passed as children in props.children

#### new MarkerCluster()

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  `props`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `map` | object | The google.maps.Map object from the map component.
  `children` | Array.<Map.Marker> | These should only be Marker components.
  `options` | MarkerClustererOptions | The MarkerClusterer instantiates with these options.

  `state`

  object

  The state of the MarkerCluster component.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `MarkerClusterer` | MarkerClusterer | The instance of MarkerClusterer for this component.

  Source:
    - components/markerCluster.js, line 17

#### Search results